DADA2 paired end denoising step error

Hello,

I’m trying to run the DADA2 step on my demux.qzv file containing 53 forward and 53 reverse demultiplexed, paired end sequences. Like previous forum posts i’ve read, takes a very long time and finally thought I got through a run… until I opened up QIIME again and got the message below in the terminal. I’m not sure what the error exactly was (something with the memory availability, possibly?) I would greatly appreciate any suggested next steps to take given the below message. Many thanks in advance.

"Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmplc5xeep2/forward /tmp/tmplc5xeep2/reverse /tmp/tmplc5xeep2/output.tsv.biom /tmp/tmplc5xeep2/filt_f /tmp/tmplc5xeep2/filt_r 200 200 0 0 2.0 2 consensus 1.0 0 1000000

R version 3.3.2 (2016-10-31) 
Loading required package: Rcpp
There were 50 or more warnings (use warnings() to see the first 50)
DADA2 R package version: 1.4.0 
1) Filtering ............................Error: cannot allocate vector of size 550.2 Mb
Execution halted
Warning message:
system call failed: Cannot allocate memory 
Traceback (most recent call last):
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 179, in denoise_paired
    run_commands([cmd])
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 35, in run_commands
    subprocess.run(cmd, check=True)
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/subprocess.py", line 398, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmplc5xeep2/forward', '/tmp/tmplc5xeep2/reverse', '/tmp/tmplc5xeep2/output.tsv.biom', '/tmp/tmplc5xeep2/filt_f', '/tmp/tmplc5xeep2/filt_r', '200', '200', '0', '0', '2.0', '2', 'consensus', '1.0', '0', '1000000']' returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2cli/commands.py", line 218, in __call__
    results = action(**arguments)
  File "<decorator-gen-338>", line 2, in denoise_paired
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/site-packages/qiime2/sdk/action.py", line 220, in bound_callable
    output_types, provenance)
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/site-packages/qiime2/sdk/action.py", line 355, in _callable_executor_
    output_views = self._callable(**view_args)
  File "/home/qiime2/miniconda/envs/qiime2-2017.10/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 194, in denoise_paired
    " and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more."
1 Like

Hi @slh277!

As the error says, it looks like your machine is running out of memory. Unfortunately, there aren’t many other options in this situation other than somewhere procuring more memory. If you are running this on an institutional cluster, perhaps you can request a node with more memory. If you are running in a Virtualbox VM you could try increasing the allocated RAM to the VM. If you don’t have any machines available to you with more memory, you can always check out our QIIME 2 AWS Machines. Keep us posted! :t_rex:

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.